de.dhbwstuttgart.typeinference

## Class SingleConstraint

- java.lang.Object
- - de.dhbwstuttgart.typeinference.constraints.EinzelElement<Pair>
  - - de.dhbwstuttgart.typeinference.SingleConstraint

- All Implemented Interfaces:
    KomplexeMenge<Pair>

      public class SingleConstraint
      extends EinzelElement<Pair>

  Beschreibung von Herrn PlÃÂ¼micke: "The set of constraints consists of constraints of the form ÃÂ¸ R ÃÂ¸' , where ÃÂ¸ and ÃÂ¸' are Java types and R (R Ã¢ÂÂ { < ,
  Author:
    AI10023 - Andreas Stadelmeier Die Klasse stellt ein OderConstraint-Set dar, welches nur aus einem Constraint besteht.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleConstraint(ConstraintPair toAdd)`
    `SingleConstraint(ConstraintType p1, ConstraintType p2)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConstraint(ConstraintPair toAdd)`
    `Pair` | `getPair()`

    - ### Methods inherited from class de.dhbwstuttgart.typeinference.EinzelElement

      `addItem, addItems, cartesianProduct, getAndSets, getItems, getOrSets`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleConstraint

          public SingleConstraint(ConstraintType p1,
                                  ConstraintType p2)

    - #### SingleConstraint

          public SingleConstraint(ConstraintPair toAdd)

  - ### Method Detail

    - #### getPair

          public Pair getPair()

    - #### addConstraint

          public void addConstraint(ConstraintPair toAdd)